xMLfeatureplot | R Documentation

## Function to visualise/assess features used for machine learning

### Description

`xMLfeatureplot` is supposed to visualise/assess features used for machine learning. Visualisation can be made using either boxplot or dot plot for AUC and F-max. It returns an object of class "ggplot" for AUC and F-max, and an object of class "trellis" for boxplot.

### Usage

    xMLfeatureplot(df_predictor, GSP, GSN, displayBy = c("boxplot", "ROC",
    "Fmax"), font.family = "sans", ...)

### Arguments

`df_predictor` | a data frame containing genes (in rows) and predictors (in columns), with their predictive scores inside it. This data frame must has gene symbols as row names
`GSP` | a vector containing Gold Standard Positive (GSP)
`GSN` | a vector containing Gold Standard Negative (GSN)
`displayBy` | which statistics will be used for displaying. It can be either "boxplot" for features themselves, "ROC" for AUC in ROC, "Fmax" for F-max in Precision-Recall curve)
`font.family` | the font family for texts
`...` | additional parameters. Please refer to 'lattice::bwplot' for the complete list.

### Value

an object of class "ggplot" for AUC and F-max, and an object of class "trellis" for boxplot

### Note

none

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata"
    ## Not run:
    gp <- xMLfeatureplot(df_predictor, GSP, GSN, displayBy="ROC")

    ## End(Not run)